//用户信息相关
#pragma once
#include <QString>

class UserInfo
{
public:

	UserInfo( const std::string & staffP13,
	          const std::string & staffName,
	          const std::string & staffPost )
		: staff_p13( staffP13 ),
		  staff_name( staffName ),
		  staff_post( staffPost )
	{
	}


	UserInfo( const UserInfo & other )
		: staff_p13( other.staff_p13 ),
		  staff_name( other.staff_name ),
		  staff_post( other.staff_post )
	{
	}

	UserInfo( UserInfo && other )
		: staff_p13( std::move(other.staff_p13) ),
		  staff_name( std::move(other.staff_name) ),
		  staff_post( std::move(other.staff_post) )
	{
	}

	UserInfo & operator=( const UserInfo & other )
	{
		if ( this == &other )
			return *this;
		staff_p13  = other.staff_p13;
		staff_name = other.staff_name;
		staff_post = other.staff_post;
		return *this;
	}

	UserInfo & operator=( UserInfo && other )
	{
		if ( this == &other )
			return *this;
		staff_p13  = std::move( other.staff_p13 );
		staff_name = std::move( other.staff_name );
		staff_post = std::move( other.staff_post );
		return *this;
	}


	friend void swap( UserInfo & lhs, UserInfo & rhs ) noexcept
	{
		using std::swap;
		swap( lhs.staff_p13, rhs.staff_p13 );
		swap( lhs.staff_name, rhs.staff_name );
		swap( lhs.staff_post, rhs.staff_post );
	}


	std::string getStaffP13() const
	{
		return staff_p13;
	}

	void setStaffP13( const std::string & staffP13 )
	{
		staff_p13 = staffP13;
	}

	std::string getStaffName() const
	{
		return staff_name;
	}

	void setStaffName( const std::string & staffName )
	{
		staff_name = staffName;
	}

	std::string getStaffPost() const
	{
		return staff_post;
	}

	void setStaffPost( const std::string & staffPost )
	{
		staff_post = staffPost;
	}

private:
	std::string staff_p13;
	std::string staff_name;
	std::string staff_post;
};
